> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Pre Encounter Images V 1 Get Multi

GET https://api.taigabilling.com/images/v1

Searches for images that match the query parameters.

Reference: https://docs.taigabilling.com/api-reference/pre-encounter-images-v-1/pre-encounter-images-v-1-get-multi

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Query parameters

- `patient_id` (string, optional)
- `coverage_id` (string, optional)
- `file_type` (string, optional)
- `patient_notes` (string, optional)
- `sort_field` (enum, optional) — The field to order by. Defaults to updatedAt.
  - Allowed values: `updatedAt`, `fileName`, `displayName`, `fileType`, `status`
- `sort_direction` (enum, optional) — The direction to order by. Defaults to desc.
  - Allowed values: `asc`, `desc`

## Response

### 200

- `list of pre-encounterimagesv1Image`

## Types

### pre-encounterimagesv1Image

An Image object with immutable server-owned properties.

- `deactivated` (boolean, required) — True if the object is deactivated. Deactivated objects are not returned in search results but are returned in all other endpoints including scan.
- `display_name` (string, required)
- `file_name` (string, required)
- `file_type` (string, required)
- `id` (string, required) — The unique identifier for an Image
- `organization_id` (string, required) — The organization that owns this object.
- `signed_url` (string, required) — A signed URL to the image. This url can be used to upload an image to GCP storage or to read the image contents.
- `status` (enum, required)
  - Allowed values: `PENDING`, `UPLOADED`, `FAILED`
- `updated_at` (datetime, required)
- `updating_user_id` (string, required) — The user ID of the user who last updated the object.
- `version` (integer, required) — The version of the object. Any update to any property of an object object will create a new version.
- `coverage` (pre-encounterimagesv1CoverageAssociation, optional, nullable) — An association to a Coverage.
- `patient` (pre-encounterimagesv1PatientAssociation, optional, nullable) — An association to a Patient.

### pre-encounterimagesv1CoverageAssociation

An association to a Coverage.

- `id` (string, required) — The unique identifier for a Coverage in the database
- `side` (enum, required)
  - Allowed values: `FRONT`, `BACK`

### pre-encounterimagesv1PatientAssociation

An association to a Patient.

- `id` (string, required) — The unique identifier for a Patient
- `notes` (string, optional, nullable)

## Examples

**Response**

```json
[
  {
    "deactivated": true,
    "display_name": "string",
    "file_name": "string",
    "file_type": "string",
    "id": "string",
    "organization_id": "string",
    "signed_url": "string",
    "status": "PENDING",
    "updated_at": "2024-01-15T09:30:00Z",
    "updating_user_id": "string",
    "version": 1,
    "coverage": {
      "id": "string",
      "side": "FRONT"
    },
    "patient": {
      "id": "string",
      "notes": "string"
    }
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/images/v1"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```